Skip to main content

Categories and locations

Category

idibu classifies each Job into a single category; the list below provides all available options.

The ID value of a selected option must be sent as an id attribute of the <category> element of the jobposting XML's Job section.

IDCategory
1Accountancy
2Accountancy (Qualified)
3Admin & Secretarial
2778Advertising & PR
2776Aerospace
2780Agriculture Fishing & Forestry
2782Arts
4Automotive
5Banking
7Building & Construction
8Call Centre & Customer Service
6Charity & Voluntary
2784Consultancy
2786Defence & Military
2788Design & Creative
9Education & Training
2790Electronics
2818Energy & Renewables
10Engineering
2816Executive & Management
2792Fashion
11Financial Services
12FMCG
14Graduate Roles
15Health & Safety
16Hospitality & Catering
17HR & Personnel
13Insurance
2802Internet & New Media
18IT
19Legal
20Leisure & Sport
2794Logistics Distribution & Supply Chain
2808Manufacturing & Production
21Marketing
22Media
2796Medical & Nursing
2820Mining
31Other
2804Pharmaceuticals
2806Property & Housing
23Public Sector & Government
24Purchasing & Procurement
25Recruitment Consultancy
26Retail
27Sales
28Science & Research
29Social Care
2798Telecommunications
30Transport & Rail
2810Travel & Tourism
2812Utilities

Locations

idibu offers an extensive range of potential job posting locations. This system lets you retrieve specific location details to identify the exact job posting location.

Endpoint

https://ws.idibu.com/ws/rest/v1/locations/

Available methods

GET /[country]/find

Returns all matching locations for a given 2-letter ISO [country] code.

See below for the available list of countries.

Query parameters

Parameter NameType restrictionsRequired?Notes
hashStringYesHash of the idibu account to which the request pertains.
filter_nameStringYesA full or partial location name for searching. This query will encompass both the place name and postal code.
Additional filters (region, county, state) can be specified after a comma, including two- or three-letter state abbreviations for specific countries.
countInteger

Min: 1
Max: 100
Default: 10
NoNumber of matching locations to return.

Response format

<idibu generator="idibu" version="1.0">
<response>
<locations>
<location>
<id>[integer]</id> <!-- sublocation id -->
<place_name>[string]</place_name> <!-- location name -->
<country_code>[string]</country_code> <!-- 2-letter ISO code -->
<postal_code>[string]</postal_code> <!-- postal code -->
<latitude>[double]</latitude> <!-- latitude; might be approximate or not present, especially for bigger cities or areas -->
<longitude>[double]</longitude> <!-- longitude; might be approximate or not present, especially for bigger cities or areas -->
<county>[string]</county> <!-- county under which the location belongs; may not be present for some locations -->
<state>[string]</state> <!-- state under which the location belongs; may not be present for some locations -->
<region>[string]</region> <!-- region under which the location belongs; may not be present for some locations -->
<country>[string]</country> <!-- country name -->
</location>
</locations>
</response>
<status>["success"|"failed"]</status> <!-- whether the request succeeded or not -->
</idibu>

Considerations

When developing code to leverage the location webservice, keep the following key points in mind:

  • Your software should utilize the webservice to fetch a list of potential locations based on the provided location string. This list can then be presented for selection in your platform prior to the job posting.
  • The <country_code> will function as the location:id attribute of the posting XML's Job section, while the <id> returned by the webservice should serve as the sublocation:id.
  • The returned <id> values are guaranteed to be unique for a given <country_code>, not necessarily across the system.
  • Certain locations could have multiple legitimate duplicates throughout the country, usually varying by postal code, county, state, or region. Ensure your software can accommodate such scenarios (for example, by displaying the postal_code, or other parameters that are present, alongside the place_name).
  • Consider implementing a location lookup field in your application that mirrors idibu's functionality:

location lookup

The upper dropdown offers a fixed list of countries, while the subsequent field dynamically queries idibu's location API as the text is entered.

Country Codes

For accurate calls, use one of the following country codes to specify the country.

Please keep in mind that:

  • the list that idibu uses is not a complete list of all the world's countries;
  • not all codes are the standard ISO-2 codes - please treat the list as using its own custom values;
  • however, ISO-2 and ISO-3 country codes will also be accepted when posting - but not necessarily reflected in other webservices;
  • if you find any locations missing, please try checking the Rest of the World (ZZ) group - or get in touch!
codeCountry name
ADAndorra
ANAngola
ARArgentina
AUAustralia
ATAustria
BDBangladesh
BBBarbados
BEBelgium
BMBermuda
BRBrazil
BNBrunei
BGBulgaria
CACanada
GGChannel Islands
CLChile
CNChina
COColombia
HRCroatia
CZCzech Republic
DMDenmark
EGEgypt
GQEquatorial Guinea
FKFalkland Islands
FOFaroe Islands
FIFinland
FRFrance
GAGabon
DEGermany
GHGhana
GRGreece
GPGuadeloupe
GUGuam
HKHong Kong
HUHungary
INIndia
IDIndonesia
IQIraq
IEIreland
IMIsle of Man
ITItaly
JPJapan
JEJersey
JDJordan
LYLibya
LILiechtenstein
LULuxembourg
MKMacedonia
MYMalaysia
MAMalta
MHMarshall Islands
MQMartinique
YTMayotte
MXMexico
MDMoldova
MCMonaco
MZMozambique
MMMyanmar
NANamibia
NPNepal
NLNetherlands
NZNew Zealand
NGNigeria
MPNorthern Mariana Islands
NONorway
OMOman
PKPakistan
PEPeru
PHPhilippines
PLPoland
PTPortugal
PRPuerto Rico
QAQatar
REReunion
RORomania
RURussia
SMSan Marino
SASaudi Arabia
RSSerbia
SISingapore
ZASouth Africa
KRSouth Korea
ESSpain
LKSri Lanka
PMSt. Pierre and Miquelon
SESweden
CHSwitzerland
TWTaiwan
TZTanzania
THThailand
TNTunisia
TRTurkey
UEUnited Arab Emirates
GBUnited Kingdom
USUnited States
VAVatican City (Holy See)
VEVenezuela
VNVietnam
VIVirgin Islands (U.S.)
ZZRest of the world (other countries)